apply plugin: 'com.android.application'

android {
    compileSdkVersion 30
    buildToolsVersion "30.0.3"

    defaultConfig {
        applicationId "com.baidu.nlp.conversation.male"
        minSdkVersion 24
        targetSdkVersion 30
        versionCode 1
        versionName "1.0"

        compileOptions {
            sourceCompatibility JavaVersion.VERSION_1_8
            targetCompatibility JavaVersion.VERSION_1_8
        }

        packagingOptions {
            exclude 'META-INF/DEPENDENCIES'
            exclude 'META-INF/LICENSE'
            exclude 'META-INF/LICENSE.txt'
            exclude 'META-INF/license.txt'
            exclude 'META-INF/NOTICE'
            exclude 'META-INF/NOTICE.txt'
            exclude 'META-INF/notice.txt'
            exclude 'META-INF/ASL2.0'
            exclude("META-INF/*.kotlin_module")
        }
    }

    signingConfigs {
        debug {
            storeFile file("certificate/certificate")
            storePassword 'conversation'
            keyAlias 'conversation'
            keyPassword 'conversation'
        }
        release {
            storeFile file("certificate/certificate")
            storePassword 'conversation'
            keyAlias 'conversation'
            keyPassword 'conversation'
        }
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }

    packagingOptions {
        pickFirst 'lib/arm64-v8a/libliantian.so'
        pickFirst 'lib/armeabi-v7a/libliantian.so'
        pickFirst 'lib/arm64-v8a/libc++_shared.so'
        pickFirst 'lib/armeabi-v7a/libc++_shared.so'
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    ndkVersion '21.0.6113669'

}
dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    implementation 'com.google.code.gson:gson:2.8.9'

    // https://github.com/permissions-dispatcher/PermissionsDispatcher
    implementation "com.google.android.material:material:1.1.0"
    implementation files('libs/module_core-jnidev-release.aar')
    implementation files('libs/module_virtual-release.aar')
    implementation("com.squareup.okhttp3:okhttp:4.11.0")
}
